STRUCT HSI_MSG(9)

NAME
struct_hsi_msg - HSI message descriptor

SYNOPSIS

struct hsi_msg {
  struct list_head link;
  struct hsi_client * cl;
  struct sg_table sgt;
  void * context;
  void (* complete) (struct hsi_msg *msg);
  void (* destructor) (struct hsi_msg *msg);
  int status;
  unsigned int actual_len;
  unsigned int channel;
  unsigned int ttype:1;
  unsigned int break_frame:1;
};

MEMBERS

link
    Free to use by the current descriptor owner

cl
    HSI device client that issues the transfer

sgt
    Head of the scatterlist array

context
    Client context data associated to the transfer

complete
    Transfer completion callback

destructor
    Destructor to free resources when flushing

status
    Status of the transfer when completed

actual_len
    Actual length of data transferred on completion

channel
    Channel were to TX/RX the message

ttype
    Transfer type (TX if set, RX otherwise)

break_frame
    if true HSI will send/receive a break frame. Data buffers are ignored in the request.

COPYRIGHT